Holger's Java API

## com.antelmann.opengeodb
Class OpenGeoDB

    java.lang.Object
      com.antelmann.db.AbstractDatabase<Connection>
          com.antelmann.sql.SQLDatabase
              com.antelmann.opengeodb.OpenGeoDB

All Implemented Interfaces:
  Database<Connection>, LoginListener, LoggerProvider, QueryMechanism, Closeable, EventListener

    public class OpenGeoDB

extends SQLDatabase

Since:
  30.03.2009, 00:58:03
Author:
  Holger Antelmann

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.LoginListener
`LoginListener.Adapter`

Field Summary

Fields inherited from class com.antelmann.sql.SQLDatabase
`connectionCheckTimeout`

Constructor Summary
`OpenGeoDB(Connection con)`
`OpenGeoDB(String server, String dbname, String user, String password)`

Method Summary
`ArrayList<Object>` `getPropertyValues(GeoTypeName valueType, GeoTypeName restrictionType, Object restrictionValue)`
`ArrayList<GeoLocation>` `getRootLocations()`
`GeoType` `getTypeFor(GeoTypeName name)`
`GeoTypeName` `getTypeNameFor(int nr)`
`Collection<GeoTypeName>` `getTypeNames()`
`Set<GeoTypeName>` `getTypeNamesFor(GeoType type)`
`Set<Object>` `listValues(GeoTypeName name)`

Methods inherited from class com.antelmann.sql.SQLDatabase
`close, createTransaction, generateGenericClassStore, generateGenericClassStore, getColumnNames, getColumnTypes, getDisplayColumn, getHelper, getIDColumn, getRandomEntry, getTableName, getTableNames, getTableQuery, getTransaction, isValid, queryStoreForInterface`

Methods inherited from class com.antelmann.db.AbstractDatabase

`addConfigListener, addStoreListener, checkAccessRight, checkTransactionActive, clearAllData, contains, contains, count, countStubs, delete, delete, delete, extractInterface, failedLogin, finalize, fireStoreChanges, getAccessController, getAvailableClassStores, getConfigListeners, getCurrentUser, getDatabaseService, getEntry, getEntry, getEntry, getFirstEntry, getFirstStub, getLogger, getOriginalClassStore, getRandomEntry, getRandomStub, getStore, getStoreForEntry, getStoreListeners, getStub, getStub, hasAutomatedTransactions, isEnsureTransactions, isVersioningEnabled, listEntries, listEntries, listStubs, loginPerformed, logoutPerformed, mapEntries, mapStubs, putClassStore, query, remove, removeConfigListener, removeStoreListener, setAccessController, setAutomatedTransactions, setCurrentUser, setEnsureTransactions, setVersioningEnabled, store`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenGeoDB

    public OpenGeoDB(String server,
                     String dbname,
                     String user,
                     String password)
              throws SQLException,
                     DatabaseException

Throws:
  `SQLException`
  `DatabaseException`

### OpenGeoDB

    public OpenGeoDB(Connection con)
              throws SQLException,
                     DatabaseException

Throws:
  `SQLException`
  `DatabaseException`

Method Detail

### getRootLocations

    public ArrayList<GeoLocation> getRootLocations()
                                            throws DatabaseException

  Throws:
    `DatabaseException`
  See Also:
    `CategoryNode.createRootNode(Collection, String, Object)`

### listValues

    public Set<Object> listValues(GeoTypeName name)
                           throws SQLException

  Throws:
    `SQLException`

### getPropertyValues

    public ArrayList<Object> getPropertyValues(GeoTypeName valueType,
                                               GeoTypeName restrictionType,
                                               Object restrictionValue)
                                        throws SQLException

  Throws:
    `SQLException`

### getTypeNames

    public Collection<GeoTypeName> getTypeNames()

### getTypeNameFor

    public GeoTypeName getTypeNameFor(int nr)

### getTypeFor

    public GeoType getTypeFor(GeoTypeName name)

### getTypeNamesFor

    public Set<GeoTypeName> getTypeNamesFor(GeoType type)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads